# class Plugin

### Attributes

author[R]
registered_options[R]

### Public Class Methods

new(infos = {}) click to toggle source

    # File lib/common/plugins/plugin.rb, line 6
    def initialize(infos = {})
      @author  = infos[:author]
    end

### Public Instance Methods

register_options(*options) click to toggle source

param Array options

    # File lib/common/plugins/plugin.rb, line 15
    def register_options(*options)
      options.each do |option|
        unless option.is_a?(Array)
          raise "Each option must be an array, #{option.class} supplied"
        end
      end
      @registered_options = options
    end

run(options = {}) click to toggle source

    # File lib/common/plugins/plugin.rb, line 10
    def run(options = {})
      raise NotImplementedError
    end